document.addEventListener('DOMContentLoaded', function() {
  // Demo button functionality
  const demoButton = document.querySelector('#demo-button');
  if (demoButton) {
    demoButton.addEventListener('click', function() {
      this.textContent = 'Clicked!';
      this.style.backgroundColor = '#10b981';
      setTimeout(() => {
        this.textContent = 'Click Me';
        this.style.backgroundColor = '#4f46e5';
      }, 1000);
    });
  }

  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      const targetId = this.getAttribute('href');
      const targetElement = document.querySelector(targetId);
      if (targetElement) {
        targetElement.scrollIntoView({
          behavior: 'smooth'
        });
      }
    });
  });

  // Animation for feature cards on scroll
  const featureCards = document.querySelectorAll('.feature-card');
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.style.opacity = 1;
        entry.target.style.transform = 'translateY(0)';
      }
    });
  }, { threshold: 0.1 });

  featureCards.forEach(card => {
    card.style.opacity = 0;
    card.style.transform = 'translateY(20px)';
    card.style.transition = 'opacity 0.5s ease, transform 0.5s ease';
    observer.observe(card);
  });
});